# Method: projects.locations.generateAttachedClusterInstallManifest

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.GenerateAttachedClusterInstallManifestResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/generateAttachedClusterInstallManifest#body.aspect_1)

Generates the install manifest to be installed on the target cluster.

### HTTP request

`GET https://{endpoint}/v1/{parent=projects/*/locations/*}:generateAttachedClusterInstallManifest`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent location where this `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.attachedClusters#AttachedCluster` resource will be created. Location names are formatted as `projects/<project-id>/locations/<region>`. See [Resource Names](https://cloud.google.com/apis/design/resource_names) for more details on Google Cloud resource names. |

### Query parameters

| Parameters ||
|---|---|
| `attachedClusterId` | `string` Required. A client provided ID of the resource. Must be unique within the parent resource. The provided ID will be part of the `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.attachedClusters#AttachedCluster` resource name formatted as `projects/<project-id>/locations/<region>/attachedClusters/<cluster-id>`. Valid characters are `/[a-z][0-9]-/`. Cannot be longer than 63 characters. When generating an install manifest for importing an existing Membership resource, the attachedClusterId field must be the Membership id. Membership names are formatted as `projects/<project-id>/locations/<region>/memberships/<membership-id>`. |
| `platformVersion` | `string` Required. The platform version for the cluster (e.g. `1.19.0-gke.1000`). You can list all supported versions on a given Google Cloud region by calling `https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations/getAttachedServerConfig#google.cloud.gkemulticloud.v1.AttachedClusters.GetAttachedServerConfig`. |
| `proxyConfig` | ``object (`https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.attachedClusters#AttachedProxyConfig`)`` Optional. Proxy configuration for outbound HTTP(S) traffic. |

### Request body

The request body must be empty.

### Response body

Response message for `AttachedClusters.GenerateAttachedClusterInstallManifest` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "manifest": string } ``` |

| Fields ||
|---|---|
| `manifest` | `string` A set of Kubernetes resources (in YAML format) to be applied to the cluster to be attached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `gkemulticloud.attachedClusters.generateInstallManifest`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).